#include "cs_builder.h"
#include "cs_component.h"

void TCSBuilder::Index(int /*threadID*/, const TParsedDocument& document, const ui32 docId) {
    Maker->Add(document, docId, document.IsNeedRestore());
}

bool TCSBuilder::DoClose(const NRTYServer::TBuilderCloseContext& context) {
    VERIFY_WITH_LOG(context.SrcDir == context.DstDir, "Not supported");
    Maker->SetRemapTable(context.RemapTable);
    return true;
}

bool TCSBuilder::Start() {
    return true;
}

bool TCSBuilder::Stop() {
    return true;
}
